<?php

define('DEBUG_FILE_NAME', 'contactHandler.log');

require 'baseFunctions.php';
require 'contact.php';
require 'deal.php';


function printArray($array){
    
    echo "<pre>";
    print_r($array);
    echo "</pre>";
    
    writeToLog($array, 'array');
    
}

function updateProcessed($id, $db){
    
    $sql = $db->prepare("update requests set processed = 1, processed_time=CURRENT_TIMESTAMP() where id = ".$id);

    $sql->bindParam(":request", $json);
    $sql->bindParam(":method", $jsonDcd['method']);
    
    $sql->execute();
    
}

function getData($db){
    
    $dados = array();

    $sql = $db->prepare("SELECT * FROM requests r where r.processed = 0 and r.method = 'contact' order by id limit 5");
    $sql->execute();
    
    $dados = $sql->fetchAll();
    
    return $dados;
}

/****************************************************************************************************************/

require "conexao.php";


$dados = getData($db);

foreach($dados as $key => $value){
    
    $error = false;
    printArray($value); 
    
    $json = json_decode($value['request'], 1);
    
    printArray($json);
   
    $user = getContactByFilter($json['usuario_id']);
    
    if($user['total'] == 0){
        $user['result'][0]['ID'] = addContact($json);
    }else{
        updContact($user, $json);
    }
    
    if($json['funcao'] == 'login'){
        
        $message = "[B]TESE Prime[/B]\n";
        $message.= "Login realizado no sistema";
        
        addFeedMessage(3, $user['result'][0]['ID'], $message);
        
    }
    
    if(!$error){
        
        updateProcessed($value['id'], $db);
        
    }
    
    
}

?>