<?php
header("Access-Control-Allow-Origin: *");
header('Cache-Control: no-cache, must-revalidate'); 
header("Content-Type: text/html; charset=UTF-8");
header("HTTP/1.1 200 OK");

date_default_timezone_set("America/Sao_Paulo");


/**
 * Write data to log file. (by default disabled)
 * WARNING: this method is only created for demonstration, never store log file in public folder
 *
 * @param mixed $data
 * @param string $title
 * @return bool
 */
function writeToLog($data, $title = '')
{

    $log = "\n------------------------\n";
    $log .= date("Y.m.d G:i:s")."\n";
    $log .= (strlen($title) > 0 ? $title : 'DEBUG')."\n";
    $log .= print_r($data, 1);
    $log .= "\n------------------------\n";

    file_put_contents(__DIR__."/order.log", $log, FILE_APPEND);

    return true;
}

/* Mostrar de forma formatada os dados de um vetor */
function printArray($array){
    
    echo "<pre>";
    print_r($array);
    echo "</pre>";
    
}

writeToLog($_REQUEST, "REQUEST");

$jsonRequest = file_get_contents("php://input");

writeToLog($jsonRequest, "REQUEST Json");

if($_REQUEST['tkn'] != '2s0i5mi4wWiJO1q'){
    exit();
}

