<?php

################################################################################
################################ DEAL FUNCTIONS ################################
################################################################################

function getDealByFilter($filter){
    
    printArray('getDealByFilter - '.'pedido_id');
    
    if(isset($filter) && $filter != ''){

        $fields = Array('filter' => array(
                  
                                '='.FILTER_DEAL => trim($filter),
                                "=CATEGORY_ID" => 0,
                                "SOURCE_ID"    => 11
                            ),
                        'SELECT' => array('UF_*', '*')
                        );
        
        $result = restCommand('crm.deal.list', $fields, AUTH);
        
        return $result;
    }
    
}

function getDealByFilterVaga($filter){
    
    printArray('getDealByFilterVaga - '.'pedido_id');
    
    if(isset($filter['pedido_id']) && $filter['pedido_id'] != ''){

        $fields = Array('filter' => array(
                  
                                // "=UF_CRM_1626614990603" => trim($filter['inscrito_id']),
                                "=UF_CRM_1590676790" => trim($filter['pedido_id']),
                                "CATEGORY_ID" => 6,
                            ),
                        'SELECT' => array('UF_*', '*')
                        );
        
        $result = restCommand('crm.deal.list', $fields, AUTH);
        
        return $result;
    }
    
}


function getDealByFilterExam($filter){
    
    printArray('getDealByFilterExam - '.'field_collection');
    
    
    if(isset($filter['field_collection']) && $filter['field_collection'] != ''){

        $fields = Array('filter' => array(
                  
                                "=UF_CRM_1626614990603" => trim($filter['field_collection']),
                                "=CATEGORY_ID" => 6,
                            ),
                        'SELECT' => array('UF_*', '*')
                        );
        
        $result = restCommand('crm.deal.list', $fields, AUTH);
        
        return $result;
    }
    
}

function getDealByFilterResult($filter){
    
    printArray('getDealByFilterResult - '.'result_id');
    
    if(isset($filter) && $filter != ''){

        $fields = Array('filter' => array(
                  
                                "=UF_CRM_1590676387919" => trim($filter),
                                "=CATEGORY_ID" => 6,
                            ),
                        'SELECT' => array('UF_*', '*')
                        );
        
        $result = restCommand('crm.deal.list', $fields, AUTH);
        
        return $result;
    }
    
}

function getDealByFilterCorrect($filter){
    
     printArray('getDealByFilterCorrect - '.'result_id');
    
    if(isset($filter) && $filter != ''){

        $fields = Array('filter' => array(
                  
                                "=UF_CRM_1590676387919" => trim($filter),
                                "=CATEGORY_ID" => 8,
                            ),
                        'SELECT' => array('UF_*', '*')
                        );
        
        $result = restCommand('crm.deal.list', $fields, AUTH);
        
        return $result;
    }
    
}

function addDeal($arrayDeal, $contacID){
    
    $fields = Array(
            'fields' => array(
                'UF_CRM_1590676790'     => $arrayDeal['pedido_id'],
                'TITLE'                 => "Pedido ".$arrayDeal['pedido_id'],
                'CONTACT_ID'            => $contacID,
                'SOURCE_ID'             => 11, // Sistema de Provas

                "UF_CRM_1626517884"     => getField('UF_CRM_1626517884', $arrayDeal['status'],'deal'),
                "UF_CRM_1600102383"     => getField('UF_CRM_1600102383', $arrayDeal['exame']['exame_comprado'],'deal'),
                "UF_CRM_1626603926366"  => getField('UF_CRM_1626603926366', trim($arrayDeal['desconto']),'deal'),
                "UF_CRM_1626606112239"  => getField('UF_CRM_1626606112239', getFormaPagto($arrayDeal['forma_pagto']),'deal'),
                
                "UF_CRM_1626611815352"  => getField('UF_CRM_1626611815352', $arrayDeal['exame']['exame_modalidade'],'deal'),
                "UF_CRM_1626611826600"  => getField('UF_CRM_1626611826600', $arrayDeal['exame']['exame_nivel'],'deal'),
                "UF_CRM_1626611840125"  => getField('UF_CRM_1626611840125', $arrayDeal['exame']['exame_area'],'deal'),
                
                'UF_CRM_1590676123198'  => $arrayDeal['data_criacao'],
                'UF_CRM_1626519503600'  => $arrayDeal['data_atualizacao'],
                
                'UF_CRM_1627214217638'  => 0,
                
                // 'UF_CRM_1600102383'     => getPurchasedProduct($arrayDeal['fatura']['itens_fatura']['titulo']),
                // 'UF_CRM_1590676407583'  => isTrue($arrayDeal['informacoes_prova']['corrigido']),
                // 'UF_CRM_1599787012621'  => str_replace("%", "", $arrayDeal['informacoes_prova']['pontuacao']),
                // 'UF_CRM_1590676142270'  => formatDate($arrayDeal['informacoes_prova']['data']),
                // 'UF_CRM_1590676081560'  => formatDateTime($arrayDeal['informacoes_prova']['data'], $arrayDeal['informacoes_prova']['hora_inicio']),
                // 'UF_CRM_1590676093774'  => $arrayDeal['informacoes_prova']['hora_fim']
            )
        );
        
    $idDeal = restCommand('crm.deal.add', $fields, AUTH);
    
    $message = "[B]TESE Prime[/B]\n";
    $message.= "Pedido {$arrayDeal['pedido_id']} criado via Sistema de Provas";
        
    addFeedMessage(2, $idDeal['result'], $message);
    
    
    return $idDeal['result'];
    
}

function getFormaPagto($forma){
    
    if(strpos($forma, "pix")){
        return "PIX";
    }elseif(strpos($forma, "cielo")){
        return "Cielo";
    }else{
        return "";
    }
    
    
}

function updDeal($deal, $arrayDeal){
    
    if(isset($deal['ID']) && $deal['ID'] != ''){
        $alterado = true;
    
        if($arrayDeal['status'] == 'Carrinho'){
            
            $exameComprado = getField('UF_CRM_1600102383', $arrayDeal['exame']['exame_comprado'],'deal');
            
            if($exameComprado != $deal['UF_CRM_1600102383']){
            
                $fields = Array(
                    'fields' => array(
                            'UF_CRM_1590676790'     => $arrayDeal['pedido_id'],
                            'TITLE'                 => "Pedido ".$arrayDeal['pedido_id'],
                            'SOURCE_ID'             => 11, // Sistema de Provas
                            
                            "UF_CRM_1626517884"     => getField('UF_CRM_1626517884', $arrayDeal['status'],'deal'),
                            "UF_CRM_1600102383"     => $exameComprado,
                            "UF_CRM_1626603926366"  => " ",
                            "UF_CRM_1626606112239"  => " ",
                            
                            "UF_CRM_1626611815352"  => getField('UF_CRM_1626611815352', $arrayDeal['exame']['exame_modalidade'],'deal'),
                            "UF_CRM_1626611826600"  => getField('UF_CRM_1626611826600', $arrayDeal['exame']['exame_nivel'],'deal'),
                            "UF_CRM_1626611840125"  => getField('UF_CRM_1626611840125', $arrayDeal['exame']['exame_area'],'deal'),
                            
                            'UF_CRM_1590676123198'  => $arrayDeal['data_criacao'],
                            'UF_CRM_1626519503600'  => $arrayDeal['data_atualizacao'],
                            
                            /* Limpa os campos abaixo na criação de num novo cart */
                            /* Checkin automático */
                            "UF_CRM_1626615321496"  => array("fileData" => array("dctoVazio.jpg", base64_encode(" "))),
                            "UF_CRM_1626615334197"  => array("fileData" => array("selfVazio.jpg", base64_encode(" "))),
                            "UF_CRM_1626638973162"  => " ",
                            
                            /* Vaga */
                            "UF_CRM_1626614990603"  => " ",
                            "UF_CRM_1622837970"     => " ",
                            "UF_CRM_1622837986"     => " ",
                            "UF_CRM_1622837997"     => " ",
                            "UF_CRM_1628431243"     => " ",
                            "UF_CRM_1626615501"     => "",
                            "UF_CRM_1626615471"     => " ",
                            "UF_CRM_1626615483"     => " ",
                            "UF_CRM_1626615514"     => " ",
                            "UF_CRM_1626615525"     => " ",
                            // "UF_CRM_1626615542"     => " ",
                        ),
                    'ID' => $deal['ID'],
                );
                
                $message = "[B]TESE Prime[/B]\n";
                $message.= "Pedido {$arrayDeal['pedido_id']} REINICIADO via Sistema de Provas";
                
                addFeedMessage(2, $deal['ID'], $message);
            }else{
                printArray("Carrinho não alterado: ".$arrayDeal['pedido_id']);
                $alterado = false;
            }
            
        }else{
            
            $statusDeal = getField('UF_CRM_1626517884', $arrayDeal['status'],'deal');
            
            if($statusDeal != $deal['UF_CRM_1626517884']){
            
                $fields = Array(
                    'fields' => array(
                            'UF_CRM_1590676790'     => $arrayDeal['pedido_id'],
                            'TITLE'                 => "Pedido ".$arrayDeal['pedido_id'],
                            'SOURCE_ID'             => 11, // Sistema de Provas
                            
                            "UF_CRM_1626517884"     => $statusDeal,
                            "UF_CRM_1600102383"     => getField('UF_CRM_1600102383', $arrayDeal['exame']['exame_comprado'],'deal'),
                            "UF_CRM_1626603926366"  => getField('UF_CRM_1626603926366', trim($arrayDeal['desconto']),'deal'),
                            "UF_CRM_1626606112239"  => getField('UF_CRM_1626606112239', getFormaPagto($arrayDeal['forma_pagto']),'deal'),
                            
                            "UF_CRM_1626611815352"  => getField('UF_CRM_1626611815352', $arrayDeal['exame']['exame_modalidade'],'deal'),
                            "UF_CRM_1626611826600"  => getField('UF_CRM_1626611826600', $arrayDeal['exame']['exame_nivel'],'deal'),
                            "UF_CRM_1626611840125"  => getField('UF_CRM_1626611840125', $arrayDeal['exame']['exame_area'],'deal'),
                            
                            'UF_CRM_1590676123198'  => $arrayDeal['data_criacao'],
                            'UF_CRM_1626519503600'  => $arrayDeal['data_atualizacao'],
                            
                        ),
                    'ID' => $deal['ID'],
                );
                
                
                $message = "[B]TESE Prime[/B]\n";
                $message.= "Pedido {$arrayDeal['pedido_id']} Atualizado via Sistema de Provas: {$arrayDeal['status']}";
                    
                addFeedMessage(2, $deal['ID'], $message);
            }else{
                printArray("Status não alterado: ".$arrayDeal['pedido_id']);
                $alterado = false;
            }
            
        }
     
        if($alterado)
            $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
        
    }
    
    return $alterado;
    
    
}

function updDealVaga($deal, $arrayDeal){
    
    if(isset($deal) && $deal != ''){
    
        $fields = Array(
            'fields' => array(
    
                    "UF_CRM_1626614990603"  => $arrayDeal['inscrito_id'],
                    "UF_CRM_1622837970"     => $arrayDeal['programa'],
                    "UF_CRM_1622837986"     => $arrayDeal['departamento'],
                    "UF_CRM_1622837997"     => $arrayDeal['universidade'],
                    "UF_CRM_1628431243"     => $arrayDeal['nota_corte'],
                    
                    "UF_CRM_1626615501"     => $arrayDeal['data_hora'],
                    "UF_CRM_1626615471"     => getField('UF_CRM_1626615471', $arrayDeal['tipo_vaga'],'deal'),
                    "UF_CRM_1626615483"     => $arrayDeal['centro_aplicador'],
                    "UF_CRM_1626615514"     => $arrayDeal['responsavel_aplicacao'],
                    "UF_CRM_1626615525"     => $arrayDeal['obs_aplicacao'],
                    // "UF_CRM_1626615542"     => $arrayDeal['obs_candidato'],
                    
                    "UF_CRM_1627297731"     => $arrayDeal['endereco_centro'],
                    "UF_CRM_1627297745"     => $arrayDeal['telefone_centro'],
                    "UF_CRM_1627297757"     => $arrayDeal['email_centro'],
                    
                    "UF_CRM_1590676364818"     => getField('UF_CRM_1590676364818', $arrayDeal['exame_associado'],'deal'),
                    "UF_CRM_1627319430184"     => $arrayDeal['exame_exibicao'],
                ),
            'ID' => $deal,
        );
            
        $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
        
        $message = "[B]TESE Prime[/B]\n";
        $message.= "Vaga Atualizada via Sistema de Provas - Pedido {$arrayDeal['pedido_id']}
Data e Hora: ".convetData($arrayDeal['data_hora']);
            
        addFeedMessage(2, $deal, $message);
    }
    
}

function convetData($data){
    
    $data = str_replace("+06", "+00", $data);

    return date("d/m/Y \à\s H:i:s", strtotime($data));
    
}

function updDealVagaChk($deal, $arrayDeal){
    
    if(isset($deal) && $deal != ''){
    
        $fields = Array(
            'fields' => array(
    
                    // "UF_CRM_1626615542"     => $arrayDeal['obs_candidato'],
    
                    // "UF_CRM_1590676364818"     => getField('UF_CRM_1590676364818', $arrayDeal['exame_associado'],'deal'),
                    // "UF_CRM_1627319430184"     => $arrayDeal['exame_exibicao'],
                    
                    // "UF_CRM_1627383967622"     => $arrayDeal['checkin_nome'],
                    // "UF_CRM_1627383983891"     => getField('UF_CRM_1627383983891', $arrayDeal['checkin_docto'],'deal'),
                    // "UF_CRM_1627383997213"     => $arrayDeal['checkin_exame'],
                    // "UF_CRM_1627384015061"     => $arrayDeal['checkin_phone'],
                    // "UF_CRM_1627384030160"     => $arrayDeal['checkin_senha'],
                    // "UF_CRM_1627384045961"     => $arrayDeal['checkin_presente'],
                    
                    "UF_CRM_1626614990603"  => $arrayDeal['inscrito_id'],
                    "UF_CRM_1622837970"     => $arrayDeal['programa'],
                    "UF_CRM_1622837986"     => $arrayDeal['departamento'],
                    "UF_CRM_1622837997"     => $arrayDeal['universidade'],
                    "UF_CRM_1628431243"     => $arrayDeal['nota_corte'],
                    
                    "UF_CRM_1626615501"     => $arrayDeal['data_hora'],
                    "UF_CRM_1626615471"     => getField('UF_CRM_1626615471', $arrayDeal['tipo_vaga'],'deal'),
                    "UF_CRM_1626615483"     => $arrayDeal['centro_aplicador'],
                    "UF_CRM_1626615514"     => $arrayDeal['responsavel_aplicacao'],
                    "UF_CRM_1626615525"     => $arrayDeal['obs_aplicacao'],
                    // "UF_CRM_1626615542"     => $arrayDeal['obs_candidato'],
                    
                    "UF_CRM_1627297731"     => $arrayDeal['endereco_centro'],
                    "UF_CRM_1627297745"     => $arrayDeal['telefone_centro'],
                    "UF_CRM_1627297757"     => $arrayDeal['email_centro'],
                    
                    "UF_CRM_1590676364818"     => getField('UF_CRM_1590676364818', $arrayDeal['exame_associado'],'deal'),
                    "UF_CRM_1627319430184"     => $arrayDeal['exame_exibicao'],
                    
                    "UF_CRM_1627383967622"     => $arrayDeal['checkin_nome'],
                    "UF_CRM_1627383983891"     => getField('UF_CRM_1627383983891', $arrayDeal['checkin_docto'],'deal'),
                    "UF_CRM_1627383997213"     => $arrayDeal['checkin_exame'],
                    "UF_CRM_1627384015061"     => $arrayDeal['checkin_phone'],
                    "UF_CRM_1627384030160"     => $arrayDeal['checkin_senha'],
                    "UF_CRM_1627384045961"     => $arrayDeal['checkin_presente'],
    
                ),
            'ID' => $deal,
        );
            
        $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
        
        $message = "[B]TESE Prime[/B]\n";
        $message.= "Vaga Atualizada via Sistema de Provas - Pedido {$arrayDeal['pedido_id']}
Data e Hora: ".convetData($arrayDeal['data_hora']);
            
        addFeedMessage(2, $deal, $message);
    }
    
}

function updDealCheck($deal, $arrayDeal){
    
    if(isset($deal) && $deal != ''){
    
        $extDoct = end(explode(".", $arrayDeal['documento']));
        $extSelf = end(explode(".", $arrayDeal['documento']));
        $docto = file_get_contents($arrayDeal['documento']);
        $selfie  = file_get_contents($arrayDeal['selfie']);
        
        printArray($arrayDeal['documento']);
        printArray($arrayDeal['selfie']);
        
        $fields = Array(
            'fields' => array(
    
                    "UF_CRM_1626615321496"  => array("fileData" => array("dcto".time().".".$extDoct, base64_encode($docto))),
                    "UF_CRM_1626615334197"  => array("fileData" => array("self".time().".".$extSelf, base64_encode($selfie))),
                    "UF_CRM_1626638973162"  => $arrayDeal['confirmo'],
                ),
            'ID' => $deal,
        );
            
        $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
        
        $message = "[B]TESE Prime[/B]\n";
        $message.= "CheckIn Automático enviado via Sistema de Provas - Pedido {$arrayDeal['pedido_id']}";
            
        addFeedMessage(2, $deal, $message);
    }
    
}


function updDealExamStart($deal, $arrayDeal){
    
    if(isset($deal) && $deal != ''){
    
        $fields = Array(
            'fields' => array(
                    "UF_CRM_1590676081560"  => $arrayDeal['inicio_exame'],
                    "UF_CRM_1590676387919"  => $arrayDeal['result_id'],
                    "UF_CRM_1590676364818"     => getField('UF_CRM_1590676364818', $arrayDeal['exame_associado'],'deal'),
                    "UF_CRM_1627319430184"     => $arrayDeal['exame_exibicao'],
                ),
            'ID' => $deal,
        );
            
        $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
        
        $data = date("d/m/Y \à\s H:i:s", strtotime($arrayDeal['inicio_exame']));
        
        $message = "[B]TESE Prime[/B]\n";
        $message.= "Exame Iniciado em {$data}";
            
        addFeedMessage(2, $deal, $message);
    }
    
}

function updDealExamEnd($deal, $arrayDeal){
    
    if(isset($deal['ID']) && $deal['ID'] != ''){
    
        if(!isset($deal['UF_CRM_1590676093774']) || $deal['UF_CRM_1590676093774'] == ''){
        
            $fields = Array(
                'fields' => array(
                        "UF_CRM_1590676093774"  => $arrayDeal['fim_exame'],
                        "UF_CRM_1590676081560"  => $arrayDeal['inicio_exame'],
                        "UF_CRM_1627475132"     => "- ".str_replace("<br />", "
        - ",$arrayDeal['log']),
                        "UF_CRM_1622837359"     => $arrayDeal['score_automatico'],
                        "UF_CRM_1590676364818"     => getField('UF_CRM_1590676364818', $arrayDeal['exame_associado'],'deal'),
                        "UF_CRM_1627319430184"     => $arrayDeal['exame_exibicao'],
        
                    ),
                'ID' => $deal['ID'],
            );
                
            $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
            
            $data = date("d/m/Y \à\s H:i:s", strtotime($arrayDeal['fim_exame']));
            
            $message = "[B]TESE Prime[/B]\n";
            $message.= "Exame Concluído em {$data}";
                
            addFeedMessage(2, $deal['ID'], $message);
            
        }else{
            
            $fields = Array(
                'fields' => array(
                        "UF_CRM_1627475132"     => "- ".str_replace("<br />", "
    - ",$arrayDeal['log']),
                        "UF_CRM_1622837359"     => $arrayDeal['score_automatico'],
        
                    ),
                'ID' => $deal['ID'],
            );
                
            $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
            
        }
    }
    
}

function updDealExamCoorect($deal, $arrayDeal){
    
    if(isset($deal['ID']) && $deal['ID'] != ''){
    
        $fields = Array(
            'fields' => array(
                    "UF_CRM_1627557172673"  => $arrayDeal['avaliador'],
                    // "UF_CRM_1622837609"     => $arrayDeal['link_certificado'],
                    "UF_CRM_1622837672"     => $arrayDeal['corrigido'],
                    "UF_CRM_1622837590"     => $arrayDeal['speaking'],
                    "UF_CRM_1622837576"     => $arrayDeal['listening'],
                    "UF_CRM_1622837552"     => $arrayDeal['writing'],
                    "UF_CRM_1622837506"     => $arrayDeal['reading'],
                    "UF_CRM_1622837334"     => $arrayDeal['nota_final'],
                    "UF_CRM_1590676407583"  => $arrayDeal['liberado'],
    
                ),
            'ID' => $deal['ID'],
        );
            
        $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
        
        $data = date("d/m/Y \à\s H:i:s", strtotime($arrayDeal['fim_exame']));
        
        $message = "[B]TESE Prime[/B]\n";
        $message.= "Correção Atualizada";
            
        addFeedMessage(2, $deal['ID'], $message);
            
    }
    
}

function updDealExamCerti($deal, $arrayDeal){
    
    if(isset($deal['ID']) && $deal['ID'] != ''){
    
        $fields = Array(
            'fields' => array(
                    "UF_CRM_1622837609"     => $arrayDeal['link_certificado'],
                    "UF_CRM_1628426786"     => $arrayDeal['link_atua_cert'],
                    "UF_CRM_1622837672"     => $arrayDeal['corrigido'],
                    "UF_CRM_1590676407583"  => $arrayDeal['liberado'],
                ),
            'ID' => $deal['ID'],
        );
            
        $dealUpd = restCommand('crm.deal.update', $fields, AUTH);
        
        $data = date("d/m/Y \à\s H:i:s", strtotime($arrayDeal['fim_exame']));
        
        if($arrayDeal['liberado'] == "1"){
            $message = "[B]TESE Prime[/B]\n";
            $message.= "Certificado Liberado";
        }else{
            $message = "[B]TESE Prime[/B]\n";
            $message.= "Certificado BLOQUEADO";
        }
            
        addFeedMessage(2, $deal['ID'], $message);
            
    }
    
}

function getPurchasedProduct($purchasedProduct){
    $array = array(
        "ELFA - Biológicas/Saúde - Home Testing"        => "358",
        "ELFA - Humanas/Sociais - Home Testing"         => "360",
        "PEICE"                                         => "362",
        "REPORTA - Home Testing"                        => "364",
        "TEAP - Agrárias - Home Testing"                => "366",
        "TEAP - Agrárias - Home Testing (Espanhol)"     => "368",
        "TEAP - Biológicas/Saúde - Home Testing"        => "370",
        "TEAP - Exatas/Tecnológicas - Home Testing"     => "372",
        "TEAP - Humanas/Sociais - Home Testing"         => "374",
        "TEPLE - Agrárias - Home Testing"               => "376",
        "TEPLE - Biológicas/Saúde - Home Testing"       => "378",
        "TEPLE - Exatas/Tecnológicas - Home Testing"    => "380",
        "TEPLE - Humanas/Sociais - Home Testing"        => "382",
        "VALI - Humanas - Home Testing"                 => "384",
        "WAP - Home Testing"                            => "386",
        "WAP Plus_Home Testing"                         => "388"
    );
    return $array[$purchasedProduct];
}

function isTrue($condition) {
    
    if ($condition == "Sim") {
        return 1;
    } else if ($condition == "Não") {
        return 0;
    }
}

?>