<?php 
###########################################################################
############################### CONFIG OF APP #############################
###########################################################################

define('DEBUG_FILE_NAME', 'clientesFromOmie.log');
define('COD_CLIENTE_OMIE', 'UF_CRM_1653218577595');

require_once '../fromBitrix24/functions.php';

###########################################################################
#################################### Inicio ###############################
###########################################################################


if($data['topic'] == 'ClienteFornecedor.Alterado' || $data['topic'] == 'ClienteFornecedor.Incluido'){
    
    $contact = getContactByFilter($data['event']['codigo_cliente_omie'], 1);

    writeToLog(strtotime($contact['UF_CRM_1653219982423']), "Data OMIE");

    $phones = phonesUpdate($contact['PHONE'], adjustPhone('+55'.$data['event']['telefone1_ddd'].$data['event']['telefone1_numero']), 'WORK', 'PHONE');
    
    if(isset($data['event']['telefone2_numero']) && $data['event']['telefone2_numero'] != ''){
        $phones = phonesUpdate($phones, adjustPhone('+55'.$data['event']['telefone2_ddd'].$data['event']['telefone2_numero']), 'WORK', 'PHONE');
    }
    
    if(isset($data['event']['fax_numero']) && $data['event']['fax_numero'] != ''){
        $phones = phonesUpdate($phones, adjustPhone('+55'.$data['event']['fax_ddd'].$data['event']['fax_numero']), "FAX", 'PHONE');
    }
    
    $emails = phonesUpdate($contact['EMAIL'], $data['event']['email'], 'WORK', 'EMAIL');
    
    $website = phonesUpdate($contact['WEB'], $data['event']['homepage']);
    
    $name = contactName($data['event']['razao_social']);

    $newContact = array(    
        // "NAME"                      => getName($data['event']['razao_social'], 1),
        // "LAST_NAME"                 => getName($data['event']['razao_social'], 4),
        
        'NAME'                  => $name['firstName'],
        'LAST_NAME'             => $name['lastName'],
        
        "TYPE_ID"                   => getTypeOmie($data['event']['tags']),
        
        "UF_CRM_1653218639356"      => $data['event']['razao_social'],
        // "UF_CRM_1653218639356"      => $data['event']['nome_fantasia'],
        
        "UF_CRM_1653225026132"      => $data['event']['codigo_cliente_integracao'],
        
        "UF_CRM_1653218577595"         => $data['event']['codigo_cliente_omie'],
        "UF_CRM_1593636143655"      => $data['event']['cnpj_cpf'],
        "PHONE"                     => $phones,
        "EMAIL"                     => $emails,
        "WEB"                       => $website,
        "UF_CRM_1653219982423"      => date('Y-m-d\TH:i:s-03:00'),
        
        "UF_CRM_1653218756770"      => $data['event']['endereco'],
        "UF_CRM_1653218776069"      => $data['event']['endereco_numero'],
        "UF_CRM_1653218792958"      => $data['event']['complemento'],
        "UF_CRM_1653218812058"      => $data['event']['bairro'],
        "UF_CRM_1653218849881"      => $data['event']['cep'],
        "UF_CRM_1653218866270"      => $data['event']['cidade'],
        "UF_CRM_1653218991"         => getField('UF_CRM_1653218991', $data['event']['estado'],'contact', 0, MB_CASE_UPPER),
        
        "UF_CRM_1653219050113"         => getSimNao($data['event']['inativo']),
    );
    
    writeToLog($newContact, "Dados Contato");
    
    if(isset($contact['ID']) && $contact['ID'] > 0){ // Atualiza Contato
        
        updateContact($newContact, $contact['ID'], 1);
        
    }else{ //Cria Contato
        
        $newId = addContact($newContact, 1)['result'];
        
    }
}






?>